=== debian/control ===
Source: ros-indigo-costmap-converter
Section: misc
Priority: extra
Maintainer: Christoph Rösmann <christoph.roesmann@tu-dortmund.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-costmap-2d, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/costmap_converter
Standards-Version: 3.9.2

Package: ros-indigo-costmap-converter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-costmap-2d, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-std-msgs
Description: A ros package that includes plugins and nodes to convert occupied costmap2d cells to primitive types.
